otkvEnv2namedSparse {ontoTools} | R Documentation

## obtain sparse matrix representation of key-value structures

### Description

obtain sparse matrix representation of key-value structures

### Usage

    otkvEnv2namedSparse(obs, tms, otkvEnv)
    otkvList2namedSparse(obs, tms, otkvlist)

### Arguments

`obs` | obs: vector of object tags
`tms` | tms: vector of terms to which objects are mapped
`otkvEnv` | otkvEnv: environment encoding the key-value mapping
`otkvlist` | otkvlist: list encoding the key-value mapping

### Author(s)

Vince Carey <stvjc@channing.harvard.edu>

### Examples

    otkvList2namedSparse(c("A","B","D","E"), letters[1:7],
       list("A"=c("a","b"), "B"=c("b","d"),"E"="c"))

[Package ontoTools version 1.12.1 Index]